> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Reimbursements Json



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/manual_task/upload_reimbursements_json
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/manual_task/upload_reimbursements_json:
    post:
      tags:
        - admin_manual_tasks
        - quanta-services-api
      summary: Upload Reimbursements Json
      operationId: upload_reimbursements
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadReimbursementsJsonRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadReimbursementsJsonResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UploadReimbursementsJsonRequest:
      properties:
        reimbursements:
          items:
            $ref: '#/components/schemas/UploadReimbursementRow'
          type: array
          maxItems: 500
          minItems: 1
          title: Reimbursements
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        reason_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Type
      type: object
      required:
        - reimbursements
      title: UploadReimbursementsJsonRequest
    UploadReimbursementsJsonResponse:
      properties:
        created:
          items:
            $ref: '#/components/schemas/ReimbursementUploadResult'
          type: array
          title: Created
        already_existed:
          items:
            $ref: '#/components/schemas/ReimbursementUploadResult'
          type: array
          title: Already Existed
        workflow_ids:
          items:
            type: string
          type: array
          title: Workflow Ids
      type: object
      required:
        - created
        - already_existed
        - workflow_ids
      title: UploadReimbursementsJsonResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UploadReimbursementRow:
      properties:
        number:
          type: string
          title: Number
        effective_date:
          type: string
          format: date
          title: Effective Date
        amount:
          type: string
          title: Amount
        memo:
          type: string
          title: Memo
      type: object
      required:
        - number
        - effective_date
        - amount
        - memo
      title: UploadReimbursementRow
    ReimbursementUploadResult:
      properties:
        number:
          type: string
          title: Number
        qid:
          type: string
          title: Qid
      type: object
      required:
        - number
        - qid
      title: ReimbursementUploadResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.